use bevy_egui::egui;

#[derive(Debug)]
pub enum Action {
    Create, Modify, Delete
}
pub struct UiState {
    pub current_action: Action,

}
impl Default for UiState {
    fn default() -> Self {
        Self { current_action: Action::Modify }
    }
}
#[derive(Debug)]
pub struct ButtonsColors {
    pub regular: egui::Rgba,
    pub clicked: egui::Rgba,
}
impl Default for ButtonsColors {
    fn default() -> Self {
        Self { 
            regular: egui::Rgba::from_rgb(0.3, 0.3, 0.3),
            clicked: egui::Rgba::from_rgb(1.0, 1.0, 1.0)
        }
    }
}